prep for Europa update site
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh
index 34f14ec..a16b1d5 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/createMirrorFile.sh
@@ -9,7 +9,7 @@
     printf "\n\t\t%s\n\n" "where <buildrepositorypath> is similar to /shared/webtools/committers/wtp-R3.0-R/20080611172140/R-3.0-20080611172140/updateSite" >&2 
 }
 
-while getopts 'vhb:' OPTION
+while getopts 'vhs:b:' OPTION
 do
     case $OPTION in
         h)    usage
@@ -17,6 +17,8 @@
         ;;
         v)    verboseFlag=1
         ;;
+        s)    stream=$OPTARG
+        ;;
         b)    buildrepositorypath=$OPTARG
         ;;
         ?)    usage
@@ -45,7 +47,7 @@
   export BUILD_INITIALIZED=1
 fi
 
-${JAVA_HOME}/bin/java -jar featureFileCreate.jar $buildrepositorypath
+${JAVA_HOME}/bin/java -jar featureFileCreate.jar $stream $buildrepositorypath
 
 if [ "$?" -ne "0" ] 
 then 
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
index e383513..2ddf749 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/runUpdateAllProjects.sh
@@ -69,11 +69,9 @@
  rsync -pua ${HOME}/${updateToolsDir}/WebContent/${mainIndexFileName} ${testUpdateSite}/index.html
  rsync -pua ${HOME}/${updateToolsDir}/WebContent/*.jpg ${testUpdateSite}
 
-echo "    arguments to createMirrorFile: $@"
+./createMirrorFile.sh -s "$stream" -b "$buildrepositorypath"
 
-./createMirrorFile.sh "$@"
-
-if [ "$?" -ne "0" ] 
+if [ "$?" -ne 0 ] 
 then 
    exit $?
 fi